/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package skladiste;

import domen.Osoba;
import form.IPromenaModela;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JDialog;

/**
 *
 * @author student1
 */
public class Skladiste {
    private List<Osoba> osobe;
    private static Skladiste instance;
    private List<IPromenaModela> forme;
    
    private Skladiste(){
        osobe = new ArrayList<>();
        forme = new ArrayList<>();
    }
    
    public static Skladiste getInstance() {
        if(instance == null)
            instance = new Skladiste();
        return instance;
//        return instance = (instance == null ? new Skladiste() : instance);
    }

    public void addOsoba(Osoba o) {
        osobe.add(o);
        //obavesti forme o promenama u modelu
        for(IPromenaModela frm : forme){
            frm.promenaUModelu();
        }
    }

    public List<Osoba> getOsobe() {
        return osobe;
    }

    public void addForm(IPromenaModela frm) {
        forme.add(frm);
        frm.promenaUModelu();
    }
}
